%define module  HTML-FromText
%define version 2.05
%define release 1mdk

Summary:	HTML::FromText perl module
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://www.cpan.org/modules/by-module/HTML/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6
BuildRequires:	perl-Email-Find
BuildRequires:	perl-Exporter-Lite
BuildRequires:	perl-HTML-Parser
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
HTML::FromText converts text to HTML.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README
%{perl_vendorlib}/HTML/FromText.pm
%{_bindir}/text2html
%{_mandir}/man*/*

%changelog
* Fri Nov 28 2003 Stefan van der Eijk <stefan@eijk.nu> 2.05-1mdk
- initial mdk package
